AWSTemplateFormatVersion: '2010-09-09'
Transform: 'AWS::Serverless-2016-10-31'
Description: An AWS Serverless Specification template describing your function.
Resources:
  theearresourcesproductioncustomresourceexistings3:
    Type: 'AWS::Serverless::Function'
    Properties:
      CodeUri: .
      Description: ''
      MemorySize: 1024
      Timeout: 180
      Handler: s3/handler.handler
      Runtime: nodejs12.x
      Architectures:
        - x86_64
      EventInvokeConfig:
        MaximumEventAgeInSeconds: 21600
        MaximumRetryAttempts: 2
      EphemeralStorage:
        Size: 512
      Role: >-
        arn:aws:iam::055752874982:role/theear-resources-production-af-south-1-lambdaRole
      RuntimeManagementConfig:
        UpdateRuntimeOn: Auto
      SnapStart:
        ApplyOn: None
      PackageType: Zip
      Tags:
        STAGE: production
      VpcConfig:
        SecurityGroupIds:
          - sg-04a9c8db07f607e2d
        SubnetIds:
          - subnet-0c90a693b84fa59b9
          - subnet-073bdac49e88c7daa
